### Translate

Category

Rendering

Function

Translates an object.

Syntax

    output = Translate(input, translation);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | object | none | object to translate
`translation` | vector | [0 0 0] | amount of translation along x, y, and z axes

Outputs

Name | Type | Description
--- | --- | ---
`output` | object | object marked to be translated

Functional Details

This module prepares a specified object for being moved (translated) a specified amount along the x, y, and z axes.

Note: A Transform object containing the specified transformation matrix is inserted at the root of the object. This transform is applied during rendering.

`input` | specifies the object to be translated.
`translation` | is the translation vector. No translation occurs for the default value of [0 0 0]. A specification of [0 1 0] (to take one example) will move the specified object one unit in the y-direction.

Components

All input components are propagated to the output.

Example Visual Program

    Imide_potential.net

See Also

Rotate, Scale

[ OpenDX Home at IBM | OpenDX.org ]